Subject: [tsvwg] Technical discussion 2 of draft-ietf-tsvwg-aqm-dualq-coupled-08

From: David Pullen <[email-masked]>
Date: Mon, 17 Dec 2018 09:53:43 -0500

Hi Bob,

In section 2.5.1 (a few paragraphs below the sentence associated with
technical discussion 1):

The constant of proportionality, k, in Eqn (1) determines the relative flow
rates of Classic and L4S flows when the AQM concerned is the bottleneck
(all other factors being equal).

The AQM itself is not likely to be the bottleneck. It seems to me that it
is something like rateshaping, etc, that is the bottleneck causing
backpressure into the queue that is being monitored by AQM. Can you confirm
that this is your thinking as well?

If so, then I believe that this wording should be modified to reflect this;
if not, then can you clarify what it means for an AQM to be a bottleneck?

Thanks,
  - Dave

David Pullen
Distinguished Engineer  |  Wired Networking, Cable Modems
Broadcom

office: 678.475.3143  |  mobile: 678.477.4108  |  fax: 770.232.0211
4385 River Green Parkway  |  Duluth, GA 30096
[email-masked]   |   broadcom.com

---

From: Bob Briscoe <[email-masked]>
Date: Mon, 17 Dec 2018 17:13:45 +0000

David,

You're right. Would it be sufficient to simply say,

when the AQM concerned is at the bottleneck...

?

I know this isn't any more precise really, but I think it makes the 
sentence 'not incorrect' and what it means is now unambiguous.

Bob

On 17/12/2018 14:53, David Pullen wrote:
> The constant of proportionality, k, in Eqn (1) determines the relative 
> flow rates of Classic and L4S flows when the AQM concerned is the 
> bottleneck(all other factors being equal).
>
>
> The AQM itself is not likely to be the bottleneck. It seems to me that 
> it is something like rateshaping, etc, that is the bottleneck causing 
> backpressure into the queue that is being monitored by AQM. Can you 
> confirm that this is your thinking as well?
>
> If so, then I believe that this wording should be modified to reflect 
> this; if not, then can you clarify what it means for an AQM to be a 
> bottleneck?
>
> Thanks,
>   - Dave
>
> David PullenDistinguished Engineer  |  Wired Networking, Cable 
> ModemsBroadcomoffice:678.475.3143  | mobile:678.477.4108  | 
> fax:770.232.02114385 River Green Parkway  |  Duluth, GA 
> [email-masked] <mailto:[email-masked]>   | 
> broadcom.com <http://broadcom.com>
>

-- 
________________________________________________________________
Bob Briscoe                               http://bobbriscoe.net/

---

From: David Pullen <[email-masked]>
Date: Mon, 17 Dec 2018 12:42:32 -0500

Hi Bob,

This seems reasonable, as well.

Thanks,
  - Dave

(Sent from my cell phone, please excuse typos and brevity)

On Mon, Dec 17, 2018, 12:13 PM Bob Briscoe <[email-masked] wrote:

> bottleneck (all other factors being equal).
>
> David Pullen Distinguished Engineer  |  Wired Networking, Cable Modems
> Broadcom office: 678.475.3143  |  mobile: 678.477.4108  |  fax:
> 770.232.0211 4385 River Green Parkway  |  Duluth, GA 30096